SalesChannelProductImage

Retrieve a product image

get

Retrieves a specific product image associated with a sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
chevron-right
200

Product image

application/json

Represents an image associated with a product, used for display in sales channels or internal listings.

pkintegerRead-onlyOptional

Unique identifier for the product image.

productintegerOptional

ID of the associated product.

sourcestring · enum · nullableOptional

The source of the image (e.g., 'unified').

Possible values:
modified_datestring · date-timeOptional

The date and time when the image was last modified.

created_datestring · date-timeRead-onlyOptional

The date and time when the image was created.

heightinteger · nullableOptional

Height of the image in pixels.

widthinteger · nullableOptional

Width of the image in pixels.

hashstring · nullableOptional

A hash of the image content used for deduplication or versioning.

statusstring · enumOptional

Status of the image (e.g., active). Read-only.

Possible values:
is_activebooleanOptional

Indicates whether the image is currently active and should be used.

orderintegerOptional

Display order for the image among other images of the same product.

object_idintegerOptional

ID of the target object this configuration applies to.

content_typestringOptional

The model name of the target object's content type.

get
/api/v1/channel/{channel_id}/product_images/{id}/

Retrieve a product image with details

get

Get details of a specific product image associated with a sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
chevron-right
200

Product image with details

application/json

Represents an image associated with a product, used for display in sales channels or internal listings.

pkintegerRead-onlyOptional

Unique identifier for the product image.

productintegerOptional

ID of the associated product.

sourcestring · enum · nullableOptional

The source of the image (e.g., 'unified').

Possible values:
modified_datestring · date-timeOptional

The date and time when the image was last modified.

created_datestring · date-timeRead-onlyOptional

The date and time when the image was created.

heightinteger · nullableOptional

Height of the image in pixels.

widthinteger · nullableOptional

Width of the image in pixels.

hashstring · nullableOptional

A hash of the image content used for deduplication or versioning.

statusstring · enumOptional

Status of the image (e.g., active). Read-only.

Possible values:
is_activebooleanOptional

Indicates whether the image is currently active and should be used.

orderintegerOptional

Display order for the image among other images of the same product.

object_idintegerOptional

ID of the target object this configuration applies to.

content_typestringOptional

The model name of the target object's content type.

get
/api/v1/channel/{channel_id}/product_images/{id}/detailed/

List product images

get

Retrieve a list of product images associated with a specific sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
productinteger · int64Optional

Filter by Product ID.

Example: 123
product__pk__ininteger[]Optional

Filter by multiple primary keys (comma-separated).

id__ininteger[]Optional

Filters by multiple ids (comma-separated list of integers)

is_seller_productbooleanOptional

Filter by seller product status (True or False).

product_typearray · enumOptional

Filter by product type.

Possible values:
Responses
chevron-right
200

List of product images

application/json
countintegerOptional

Total number of items

nextstring · nullableOptional

URL for next page

previousstring · nullableOptional

URL for previous page

get
/api/v1/channel/{channel_id}/product_images/
200

List of product images

List product images with details

get

Retrieve a detailed list of product images associated with a specific sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
Responses
chevron-right
200

List of product images

application/json
countintegerOptional

Total number of items

nextstring · nullableOptional

URL for next page

previousstring · nullableOptional

URL for previous page

get
/api/v1/channel/{channel_id}/product_images/detailed/

List product images to insert

get

Retrieve a list of product images that are pending insertion into the system.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
Responses
chevron-right
200

List of product images to insert

application/json

Represents an image associated with a product, used for display in sales channels or internal listings.

pkintegerRead-onlyOptional

Unique identifier for the product image.

productintegerOptional

ID of the associated product.

sourcestring · enum · nullableOptional

The source of the image (e.g., 'unified').

Possible values:
modified_datestring · date-timeOptional

The date and time when the image was last modified.

created_datestring · date-timeRead-onlyOptional

The date and time when the image was created.

heightinteger · nullableOptional

Height of the image in pixels.

widthinteger · nullableOptional

Width of the image in pixels.

hashstring · nullableOptional

A hash of the image content used for deduplication or versioning.

statusstring · enumOptional

Status of the image (e.g., active). Read-only.

Possible values:
is_activebooleanOptional

Indicates whether the image is currently active and should be used.

orderintegerOptional

Display order for the image among other images of the same product.

object_idintegerOptional

ID of the target object this configuration applies to.

content_typestringOptional

The model name of the target object's content type.

get
/api/v1/channel/{channel_id}/product_images/inserts/

List product images to update

get

Retrieve a list of product images that are pending updates in the system.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
Responses
chevron-right
200

List of product images to update

application/json

Represents an image associated with a product, used for display in sales channels or internal listings.

pkintegerRead-onlyOptional

Unique identifier for the product image.

productintegerOptional

ID of the associated product.

sourcestring · enum · nullableOptional

The source of the image (e.g., 'unified').

Possible values:
modified_datestring · date-timeOptional

The date and time when the image was last modified.

created_datestring · date-timeRead-onlyOptional

The date and time when the image was created.

heightinteger · nullableOptional

Height of the image in pixels.

widthinteger · nullableOptional

Width of the image in pixels.

hashstring · nullableOptional

A hash of the image content used for deduplication or versioning.

statusstring · enumOptional

Status of the image (e.g., active). Read-only.

Possible values:
is_activebooleanOptional

Indicates whether the image is currently active and should be used.

orderintegerOptional

Display order for the image among other images of the same product.

object_idintegerOptional

ID of the target object this configuration applies to.

content_typestringOptional

The model name of the target object's content type.

get
/api/v1/channel/{channel_id}/product_images/updates/

List product images to insert or update

get

Retrieve a list of product images that are pending either insertion or updates in the system.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
Responses
chevron-right
200

List of product images to insert or update

application/json

Represents an image associated with a product, used for display in sales channels or internal listings.

pkintegerRead-onlyOptional

Unique identifier for the product image.

productintegerOptional

ID of the associated product.

sourcestring · enum · nullableOptional

The source of the image (e.g., 'unified').

Possible values:
modified_datestring · date-timeOptional

The date and time when the image was last modified.

created_datestring · date-timeRead-onlyOptional

The date and time when the image was created.

heightinteger · nullableOptional

Height of the image in pixels.

widthinteger · nullableOptional

Width of the image in pixels.

hashstring · nullableOptional

A hash of the image content used for deduplication or versioning.

statusstring · enumOptional

Status of the image (e.g., active). Read-only.

Possible values:
is_activebooleanOptional

Indicates whether the image is currently active and should be used.

orderintegerOptional

Display order for the image among other images of the same product.

object_idintegerOptional

ID of the target object this configuration applies to.

content_typestringOptional

The model name of the target object's content type.

get
/api/v1/channel/{channel_id}/product_images/inserts_or_updates/

Last updated

Was this helpful?